Monitored X (formerly Twitter) handles represent the X accounts that you have configured on your account to pull new tweets into Zendesk Support as tickets.
JSON format
Monitored X handles are represented as JSON objects with the following properties:
| Name | Type | Read-only | Mandatory | Description |
|---|---|---|---|---|
| allow_reply | boolean | true | false | If replies are allowed for this handle |
| avatar_url | string | true | false | The profile image url of the handle |
| brand_id | integer | true | false | What brand the handle is associated with |
| can_reply | boolean | true | false | If replies are allowed for this handle |
| created_at | string | true | false | The time the handle was created |
| id | integer | true | true | Automatically assigned upon creation |
| name | string | true | false | The profile name of the handle |
| screen_name | string | true | true | The X handle |
| twitter_user_id | integer | true | true | The country's code |
| updated_at | string | true | false | The time of the last update of the handle |
Example
{"created_at": "2009-05-13T00:07:08Z","id": 211,"screen_name": "@zendesk","twitter_user_id": 67462376832,"updated_at": "2011-07-22T00:11:12Z"}
List Monitored X Handles
GET /api/v2/channels/twitter/monitored_twitter_handles
Allowed For
- Admins
- Agents
Code Samples
curl
curl https://{subdomain}.zendesk.com/api/v2/channels/twitter/monitored_twitter_handles
Go
import ("fmt""io""net/http")func main() {url := "https://example.zendesk.com/api/v2/channels/twitter/monitored_twitter_handles"method := "GET"req, err := http.NewRequest(method, url, nil)if err != nil {